Package org.apache.catalina.valves.rewrite

# Class InternalRewriteMap.Escape

java.lang.Object
org.apache.catalina.valves.rewrite.InternalRewriteMap.Escape

All Implemented Interfaces:
  `RewriteMap`

Enclosing class:
  InternalRewriteMap

public static class InternalRewriteMap.Escape extends Object implements RewriteMap

## Constructor Summary

Constructors
Constructor
Description
`Escape()`

## Method Summary

Modifier and Type
Method
Description
`String`
`lookup(String key)`
`String`
`setParameters(String params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Escape

public Escape()

## Method Details

### setParameters

public String setParameters(String params)

Specified by:
  `setParameters` in interface `RewriteMap`

### lookup

public String lookup(String key)

Specified by:
  `lookup` in interface `RewriteMap`